use crate::{config::ServerConfig, server::Server};

pub struct ServerBuilder {
    pub config: ServerConfig,
}

impl ServerBuilder {
    pub fn address(mut self, ip: &str, port: u16) -> Self {
        self.config.ip = ip.to_string();
        self.config.port = port;
        self
    }

    pub fn build(self) -> Server {
        Server {
            config: self.config,
        }
    }
}
